> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dittofeed.com/llms.txt
> Use this file to discover all available pages before exploring further.

# PUT /api/admin/settings/sms-providers

> Create or update sms provider



## OpenAPI

````yaml put /api/admin/settings/sms-providers
openapi: 3.1.0
info:
  title: Dittofeed API
  description: Dittofeed API Swagger Documentation
  version: 0.0.1
servers: []
security: []
paths:
  /api/admin/settings/sms-providers:
    put:
      tags:
        - Settings
      description: Create or update sms provider
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                workspaceId:
                  type: string
                setDefault:
                  type: boolean
                config:
                  anyOf:
                    - type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - Twilio
                        accountSid:
                          type: string
                        messagingServiceSid:
                          type: string
                        authToken:
                          type: string
                        apiKeySid:
                          type: string
                        apiKeySecret:
                          type: string
                      required:
                        - type
                    - type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - Test
                      required:
                        - type
                    - type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - SignalWire
                        project:
                          type: string
                        token:
                          type: string
                        spaceUrl:
                          type: string
                        phone:
                          type: string
                      required:
                        - type
              required:
                - workspaceId
                - config
        required: true
      responses:
        '201':
          description: An empty String
          content:
            application/json:
              schema:
                description: An empty String
                type: string
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message

````